Tp::Client::ConnectionInterfaceAnonymityInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::ConnectionInterfaceAnonymityInterface Class Reference
Connection proxies

`#include <TelepathyQt/Connection>`

Inherits Tp::AbstractInterface.

## Signals
void | AnonymityModesChanged (uint modes)
Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)

## Public Member Functions
| ConnectionInterfaceAnonymityInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| ConnectionInterfaceAnonymityInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| ConnectionInterfaceAnonymityInterface (Tp::DBusProxy *proxy)
| ConnectionInterfaceAnonymityInterface (const Tp::Client::ConnectionInterface &mainInterface)
| ConnectionInterfaceAnonymityInterface (const Tp::Client::ConnectionInterface &mainInterface, QObject *parent)
Tp::PendingVariant * | requestPropertySupportedAnonymityModes () const
Tp::PendingVariant * | requestPropertyAnonymityMandatory () const
Tp::PendingOperation * | setPropertyAnonymityMandatory (bool newValue)
Tp::PendingVariant * | requestPropertyAnonymityModes () const
Tp::PendingOperation * | setPropertyAnonymityModes (uint newValue)
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const

## Static Public Member Functions
static QLatin1String | staticInterfaceName ()

## Protected Member Functions
virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const

## Additional Inherited Members
Protected Slots inherited from Tp::AbstractInterface

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Connection.Interface.Anonymity".

## Constructor & Destructor Documentation

Tp::Client::ConnectionInterfaceAnonymityInterface::ConnectionInterfaceAnonymityInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfaceAnonymityInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ConnectionInterfaceAnonymityInterface::ConnectionInterfaceAnonymityInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfaceAnonymityInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ConnectionInterfaceAnonymityInterface::ConnectionInterfaceAnonymityInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ConnectionInterfaceAnonymityInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::ConnectionInterfaceAnonymityInterface::ConnectionInterfaceAnonymityInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface | ) |
| explicit

Creates a ConnectionInterfaceAnonymityInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters

  mainInterface | The proxy to use.

Tp::Client::ConnectionInterfaceAnonymityInterface::ConnectionInterfaceAnonymityInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ConnectionInterfaceAnonymityInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::ConnectionInterfaceAnonymityInterface::staticInterfaceName | ( |  | ) |
| inlinestatic

Returns the name of the interface "org.freedesktop.Telepathy.Connection.Interface.Anonymity", which this class represents.

Returns
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::ConnectionInterfaceAnonymityInterface::requestPropertySupportedAnonymityModes | ( |  | ) | const
| inline

Asynchronous getter for the remote object property `SupportedAnonymityModes` of type `uint`.

The anonymity modes supported by the CM for this connection. Once Connection.Status has moved to Connected, this property MUST NOT change.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ConnectionInterfaceAnonymityInterface::requestPropertyAnonymityMandatory | ( |  | ) | const
| inline

Asynchronous getter for the remote object property `AnonymityMandatory` of type `bool`.

This specifies whether or not the anonymity settings MUST be respected by the CM and any intermediaries between the local and remote contacts. If this is set to true but anonymity settings cannot be followed, then the session MUST be denied with a org.freedesktop.Telepathy.Error.WouldBreakAnonymity error. Any client that sets AnonymityModes SHOULD also set this property first (rather than accepting the CM's default value).

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingOperation* Tp::Client::ConnectionInterfaceAnonymityInterface::setPropertyAnonymityMandatory | ( | bool | newValue | ) |
| inline

Asynchronous setter for the remote object property `AnonymityMandatory` of type `bool`.

This specifies whether or not the anonymity settings MUST be respected by the CM and any intermediaries between the local and remote contacts. If this is set to true but anonymity settings cannot be followed, then the session MUST be denied with a org.freedesktop.Telepathy.Error.WouldBreakAnonymity error. Any client that sets AnonymityModes SHOULD also set this property first (rather than accepting the CM's default value).

Returns
  A pending operation which will emit finished when the property has been set.

Tp::PendingVariant* Tp::Client::ConnectionInterfaceAnonymityInterface::requestPropertyAnonymityModes | ( |  | ) | const
| inline

Asynchronous getter for the remote object property `AnonymityModes` of type `uint`.

The currently enabled anonymity modes for the connection. Setting has the effect of requesting new modes for the connection, and may raise an error if the unsupported modes are set. Successfully changing the modes will result in emission of AnonymityModesChanged signal.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingOperation* Tp::Client::ConnectionInterfaceAnonymityInterface::setPropertyAnonymityModes | ( | uint | newValue | ) |
| inline

Asynchronous setter for the remote object property `AnonymityModes` of type `uint`.

The currently enabled anonymity modes for the connection. Setting has the effect of requesting new modes for the connection, and may raise an error if the unsupported modes are set. Successfully changing the modes will result in emission of AnonymityModesChanged signal.

Returns
  A pending operation which will emit finished when the property has been set.

Tp::PendingVariantMap* Tp::Client::ConnectionInterfaceAnonymityInterface::requestAllProperties | ( |  | ) | const
| inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

void Tp::Client::ConnectionInterfaceAnonymityInterface::AnonymityModesChanged | ( | uint | modes | ) |
| signal

Represents the signal `AnonymityModesChanged` on the remote object.

Emitted when the anonymity mode has changed.

Parameters

  modes |
      The new anonymity modes for this connection.

void Tp::Client::ConnectionInterfaceAnonymityInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |
| protectedvirtual

Reimplemented from Tp::AbstractInterface.